{% extends "base_user.html" %}
{% load crispy_forms_tags %}

{% block custom_style %}
    <style>
        div.form-check {
            text-align: left;
            margin-left: 40%;
        }
    </style>
{% endblock %}
{% block content %}
    {% if alerts %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert" style="text-align: left">
            Le retour n'a pas pu être envoyé :
            <ul>
                {% for alert in alerts %}
                    <li>{{ alert }} </li>
                {% endfor %}
            </ul>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endif %}

    <form method="post">
        {% csrf_token %}
        {{ form|crispy }}

        <div class="h-captcha" data-sitekey="{{ pub_key }}"></div>
        <script src="https://hcaptcha.com/1/api.js" async defer></script>

        <button type="submit" class="btn btn-success btn-lg btn-block">Envoyer</button>
    </form>
{% endblock %}
